=== debian/changelog ===
com.pojtinger.felicitas.hydrapp.example.react.panrpc.main (0.0.2~1733366633) unstable; urgency=medium

  * Maintenance updates to match the state of the art of hydrapp apps

 -- Felicitas Pojtinger <felicitas@pojtinger.com>  Fri, 23 Aug 2024 15:00:00 +0100

com.pojtinger.felicitas.hydrapp.example.react.panrpc.main (0.0.1~1733366633) unstable; urgency=medium

  * Initial release

 -- Felicitas Pojtinger <felicitas@pojtinger.com>  Wed, 20 Mar 2024 22:27:54 +0100
