=== debian/control ===
Source: com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
Section: utils
Priority: optional
Maintainer: Felicitas Pojtinger <felicitas@pojtinger.com>
Build-Depends: debhelper (>= 12.10), git (>= 2.20.1), golang-go (>= 1.21), ca-certificates, desktop-file-utils (>= 0.24), appstream (>= 0.12.5), npm (>= 7.5.2)
Standards-Version: 4.5.1
Homepage: https://github.com/pojntfx/hydrapp/tree/main/hydrapp-example-react-panrpc
Vcs-Browser: https://github.com/pojntfx/hydrapp.git
Vcs-Git: https://github.com/pojntfx/hydrapp.git
Rules-Requires-Root: no

Package: com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: chromium (>= 90)
Description: hydrapp React and panrpc example app
 A simple hydrapp React and panrpc example app.
