=== debian/rules ===
#!/usr/bin/make -f
SIZES ?= 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512 1024x1024

export HOME = $(CURDIR)

%:
	dh $@

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_build:
	GOPROXY='https://proxy.golang.org,direct' GOFLAGS="" sh -c 'cd hydrapp-example-react-panrpc && go generate ./...'
	GOPROXY='https://proxy.golang.org,direct' GOFLAGS="" CGO_ENABLED=1 go build -ldflags='-compressdwarf=false' -o out/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main ./hydrapp-example-react-panrpc
	for icon in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512; do cp "./hydrapp-example-react-panrpc/icon-$${icon}.png" out/icon-$${icon}.png; done

override_dh_auto_install:
	install -D out/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/bin/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main
	desktop-file-install --dir=$$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/applications ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.desktop
	appstreamcli validate ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml
	for icon in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 256x256 512x512; do install -D -m 0644 out/icon-$${icon}.png $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/icons/hicolor/$${icon}/apps/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.png; done
	install -D -m 0644 ./hydrapp-example-react-panrpc/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml $$(pwd)/debian/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main/usr/share/metainfo/com.pojtinger.felicitas.hydrapp.example.react.panrpc.main.metainfo.xml
